%global	ruby_sitelib		%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")

%global	gemname	locale_rails
%global	gemdir		%(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global	geminstdir	%{gemdir}/gems/%{gemname}-%{version}

%global	rubyabi	1.8
%global	locale_req	2.0.4
%global	rails_req	2.3.2

%global	do_check	0
%if 0%{?fedora} >= 12
%global	do_check	1
%endif

Summary:	Ruby-Locale for Ruby on Rails
Name:		rubygem-%{gemname}
Version:	2.0.4
Release:	3%{?dist}
Group:		Development/Languages
License:	GPLv2 or Ruby
URL:		http://www.yotabanana.com/hiki/ruby-locale-rails.html
Source0:	http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	ruby(rubygems)
%if %{do_check}
BuildRequires(check):	ruby(sqlite3)
BuildRequires(check):	rubygem(rake)
BuildRequires(check):	rubygem(locale) >= %{locale_req}
BuildRequires(check):	rubygem(rails) >= %{rails_req}
%endif
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby(rubygems)
Requires:	rubygem(locale) >= %{locale_req}
# Not Requires but Conflicts"
Conflicts:	rubygem(rails) < %{rails_req}
BuildArch:	noarch
Provides:	rubygem(%{gemname}) = %{version}-%{release}

%description
This library provides some Rails localized functions.

This is useful with Rails i18n backends which doesn't have
auto-detection and some other features includes this library.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
# .js files are under MIT
License:	(GPLv2 or Ruby) and MIT
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

%build
mkdir -p .%{gemdir}
gem install \
	--local \
	--install-dir $(pwd)%{gemdir} \
	--force \
	--rdoc \
	-V \
	%{SOURCE0}

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/


%clean
rm -rf %{buildroot}

%check
[ %{do_check} = 0 ] && exit 0
cd .%{geminstdir}
export RUBYLIB=$(pwd)/lib/
rake test

%files
%defattr(-,root,root,-)
%dir %{geminstdir}
%doc %{geminstdir}/[A-Z]*
%exclude %{geminstdir}/Rakefile
%{geminstdir}/lib/
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Rakefile
%{gemdir}/doc/%{gemname}-%{version}/
%{geminstdir}/sample/
%{geminstdir}/test/

%changelog
* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.4-3
- F-12: Mass rebuild

* Tue Jun 23 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.4-2
- Fix license tag

* Tue Jun  9 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.4-1
- Initial package
